<div class="card">
    <div class="card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
            Huespedes Viajando Con: <strong>{{ noFolio }}</strong>
        </div>
        <div class="btn-actions-pane-right">
            <button (click)="newRecord()" class="btn btn-primary py-2 px-4">
                <i class="fa fa-plus mr-2"></i>Nuevo
            </button>
            <button class="btn btn-secondary px-4 py-2 ml-1" (click)="flagHelpFolio = false; showForm = true;"
                *ngIf="flagHelpFolio">
                Regresar
            </button>
        </div>
    </div>
    <div class="card-body">
        <kendo-grid [data]="dataGrid" [selectable]="true" [reorderable]="true" [resizable]="true" style="height:50vh;"
            *ngIf="showGrid">
            <ng-container *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="hfoliob" title="Folio" width="150"></kendo-grid-column>
                <kendo-grid-column field="hapel" title="Apellido(s)"></kendo-grid-column>
                <kendo-grid-column field="hnomb" title="Nombre(s)"></kendo-grid-column>
                <kendo-grid-column field="heact" title="E.A" width="120"></kendo-grid-column>
                <kendo-grid-command-column title="Acciones" width="150">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        <button class="btn btn-danger mr-2" (click)="deleteRecord(dataItem)">
                            <i class="fa fa-trash mr-2" aria-hidden="true"></i>Eliminar
                        </button>
                    </ng-template>
                </kendo-grid-command-column>
            </ng-container>
            <ng-template kendoGridNoRecordsTemplate>
                No hay resultados para mostrar.
            </ng-template>
        </kendo-grid>

        <app-huespedes (data)="selectedFolio($event)" *ngIf="flagHelpFolio"></app-huespedes>

        <div class="container animated fadeIn p-2" *ngIf="showForm">
            <form (ngSubmit)="saveRecord(templateForm)" #templateForm="ngForm" novalidate="" class="pt-3">
                <div class="row d-flex justify-content-center">
                    <div class="form-group col-6 col-md-3 col-xl-3">
                        <label for="hfoliob">Viajando</label>
                        <div class="input-group">
                            <input type="number" class="form-control" name="hfoliob" [(ngModel)]="huesped.hfoliob"
                                (change)="valueChange()" [disabled]="!isNew" required>
                            <span class="input-group-append">
                                <button (click)="btnHelp()" class="btn btn-info">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                        </div>
                    </div>
                    <div class="form-group col-6 col-md-4 col-xl-3">
                        <label for="hapel">Apellido(s)</label>
                        <input type="text" class="form-control" name="hapel" [(ngModel)]="huesped.hapel" readonly="true"
                            required>
                    </div>
                    <div class="form-group col-7 col-md-4 col-xl-3">
                        <label for="hnomb">Nombre(s)</label>
                        <input type="text" class="form-control" name="hnomb" [(ngModel)]="huesped.hnomb" readonly="true"
                            required>
                    </div>
                </div>
                <div class="py-4 col-12 text-center">
                    <button (click)="goBack()" class="btn btn-secondary py-2 px-4 mr-1">Regresar</button>
                    <button type="submit" class="btn btn-success py-2 px-4" [disabled]="!templateForm.valid"
                        *ngIf="isNew">
                        <i class="fa fa-save mr-2"></i>Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>